Download it now!
Bug 91138 - LibreOffice Draw crashes when trying to edit extrusions
Summary: LibreOffice Draw crashes when trying to edit extrusions
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2015-05-07 15:04 UTC by Gabriel Diosan
Modified: 2015-12-17 09:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Diosan 2015-05-07 15:04:52 UTC
LibreOffice Draw crashes when trying to edit extrusions

- Steps to Reproduce - 

1. Open LibreOffice Draw
2. Draw a rectangle or other shape
3. Click on the "Extrusion On/Off" icon in the "Standard" toolbar along the top 
4. Click on any of the following to cause the crash:

	- Depth (change to a different value)
	- Direction (change to a different direction)
	- Lighting (change light source)
	- Surface (change surface property)

-Testing Conditions -

Crash with:

LibreOffice Version: 5.0.0.0.alpha1+
Build ID: bcbf45d9f94d177c6841ccede3ff0ba69c4f22b1
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-04_03:51:16
Locale: en-AU (en_AU.UTF-8)

No crash with:

LibreOffice Version: 4.4.2.2 (Ubuntu 15.04 repo)
Build ID: 40m0(Build:2)
Locale: en_AU

Bibisect required

syslog error: soffice.bin[2143]: segfault at f ip 000000000000000f sp 00007ffea45fd428 error 14 in soffice.bin[400000+1000]
Comment 1 Alex Thurgood 2015-05-07 15:48:32 UTC
No repro on

Version: 5.0.0.0.alpha1+
Build ID: b95427196e87e7bc1143674ef7cb9b1eeacb7f72
Locale: fr-FR (fr.UTF-8)

OSX 10.10.3
Comment 2 raal 2015-05-07 19:28:33 UTC
I can confirm with Version: 5.0.0.0.alpha1+
Build ID: bcbf45d9f94d177c6841ccede3ff0ba69c4f22b1
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-04_03:51:16
Comment 3 Michael Meeks 2015-05-11 11:59:42 UTC
There was some grim old code to do idle deleting that we don't need anymore; killed that and it's cleaner & doesn't crash =)

Thanks.
Comment 4 Commit Notification 2015-05-11 12:02:52 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19ea033f380aa196c9c868a3cdb43e967eb42abe

tdf#91138 - hold reference until idle dispose.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Gabriel Diosan 2015-05-13 13:32:39 UTC
Confirm that this bug and bug 91139 are fixed with:

LibreOffice Version: 5.0.0.0.alpha1+
Build ID: 5b3a30f40a7ce476922649b734f6ede1c2fdef4b
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-13_02:00:37
Locale: en-AU (en_AU.UTF-8)

Thanks for fixing these Michael. :)
Comment 6 Zangune 2015-05-22 14:52:29 UTC
Gabriel Diosan, if you downloaded the LibreOffice daily build, tested it and you can confirm that this bug is fixed in the daily build then you can change the status from RESOLVED to VERIFIED in Bugzilla, this would be helpful.
Read here https://bugs.documentfoundation.org/show_bug.cgi?id=50100
Comment 7 Gabriel Diosan 2015-05-22 15:11:47 UTC
Tested with

LibreOffice Version: 5.0.0.0.alpha1+
Build ID: 2a886adb500fe481e1ea61573551b19e99c55b8b
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-20_00:31:27
Locale: en-AU (en_AU.UTF-8)

Bug fix verified
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:04:01 UTC Comment hidden (obsolete)